# GetOrganization

### Description

Gets an organization

Note that to call this function, you must:

* Set the AdminEncryptionKey

{% code overflow="wrap" %}

```csharp
IQlmOrganizationInfo UpdateOrganization(string webServiceUrl, int orgID, string orgName)
```

{% endcode %}

### Parameters

| Parameter     |  Type  | Description                    |
| ------------- | :----: | ------------------------------ |
| webServiceUrl | string | URL to the QLM License Server. |
| orgID         |   int  | Organization ID                |
| orgName       | string | Organization Name              |

### Return

| Type                                                                         | Description              |
| ---------------------------------------------------------------------------- | ------------------------ |
| [IQlmOrganizationInfo](/docs/api-reference/.net-api/iqlmorganizationinfo.md) | Organization information |

### Remarks

You must set the orgID or the orgName.

### Availability

* Edition: QLM Enterprise
* Version: v17+


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.soraco.co/docs/api-reference/.net-api/qlmlicense/management-methods/getorganization.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
